Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.messaging.core.distributed.replicator
Class ReplicatorOutputDelivery

    java.lang.Object
      org.jboss.messaging.core.SimpleDelivery
          org.jboss.messaging.core.distributed.replicator.ReplicatorOutputDelivery

All Implemented Interfaces:
  Delivery, java.io.Serializable, SingleReceiverDelivery, StatefulReceiverDelivery

public class ReplicatorOutputDelivery
extends SimpleDelivery
implements StatefulReceiverDelivery

Version:
  `$Revision: 1.3 $` $Id: ReplicatorOutputDelivery.java,v 1.3 2006/03/07 17:11:15 timfox Exp $
Author:
  Ovidiu Feodorov
See Also:
  Serialized Form

Field Summary
`protected boolean` | `cancelOnMessageRejection`
`protected java.io.Serializable` | `replicatorOutputID`

Fields inherited from class org.jboss.messaging.core.SimpleDelivery
`cancelled, done, observer, reference, selectorAccepted`

Constructor Summary
`ReplicatorOutputDelivery(DeliveryObserver observer, MessageReference reference, java.io.Serializable replicatorOutputID, boolean cancelOnMessageRejection)`

Method Summary
`java.io.Serializable` | `getReceiverID()`
`boolean` | `handle(Acknowledgment ack)`
`java.lang.String` | `toString()`

Methods inherited from class org.jboss.messaging.core.SimpleDelivery
`acknowledge, cancel, getObserver, getReference, isCancelled, isDone, isSelectorAccepted, setObserver`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.jboss.messaging.core.SingleReceiverDelivery
`acknowledge, cancel`

Methods inherited from interface org.jboss.messaging.core.Delivery
`getObserver, getReference, isCancelled, isDone, isSelectorAccepted, setObserver`

Field Detail

### replicatorOutputID

    protected java.io.Serializable replicatorOutputID

### cancelOnMessageRejection

    protected boolean cancelOnMessageRejection

Constructor Detail

### ReplicatorOutputDelivery

    public ReplicatorOutputDelivery(DeliveryObserver observer,
                                    MessageReference reference,
                                    java.io.Serializable replicatorOutputID,
                                    boolean cancelOnMessageRejection)

Method Detail

### getReceiverID

    public java.io.Serializable getReceiverID()

  Specified by:
    `getReceiverID` in interface `StatefulReceiverDelivery`

### handle

    public boolean handle(Acknowledgment ack)
                   throws java.lang.Throwable

  Throws:
    `java.lang.Throwable`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `SimpleDelivery`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 JBoss Inc. All Rights Reserved.